org.eclnt.jsfserver.util.pagebeancomponents

## Class ROWComplexValueEditor

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.pagebean.component.PageBeanComponent
    - - org.eclnt.jsfserver.util.pagebeancomponents.ComplexValueEditor
      - - org.eclnt.jsfserver.util.pagebeancomponents.ROWComplexValueEditor

- All Implemented Interfaces:
    IPageBeanComponent, IPageBean, IDynamicContentBindingObject

      public class ROWComplexValueEditor
      extends ComplexValueEditor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.util.pagebeancomponents.ComplexValueEditor

      `ComplexValueEditor.IListener, ComplexValueEditor.LineInfo`

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.pagebean.component.PageBeanComponent

      `PageBeanComponent.ILiteralResolver, PageBeanComponent.LitMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWComplexValueEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `findLiteralResourceName()` Find the name of the properties-file in which the default literal resolution looks for literal translations.

    - ### Methods inherited from class org.eclnt.jsfserver.util.pagebeancomponents.ComplexValueEditor

      `getBorder, getComplexValue, getDynContent, getFieldwidth, getHeight, getLabelwidth, getLines, getPadding, getRootExpressionUsedInPage, getWidth, getWithButtons, initializePageBean, onCancelAction, onOKAction, prepare, setBorder, setFieldwidth, setHeight, setLabelwidth, setPadding, setWidth, setWithButtons`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.component.PageBeanComponent

      `getLayoutPath, getLit, getLiteralResolver, getPageName, readLiteral, setLiteralResolver`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.pagebean.IPageBean

      `closePopup, getActualRootExpression, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, setActualRootExpression`

- - ### Constructor Detail

    - #### ROWComplexValueEditor

          public ROWComplexValueEditor()

  - ### Method Detail

    - #### findLiteralResourceName

          protected java.lang.String findLiteralResourceName()

      Description copied from class: `PageBeanComponent`
      Find the name of the properties-file in which the default literal resolution looks for literal translations.
      Overrides:
        `findLiteralResourceName` in class `PageBeanComponent`

Copyright © CaptainCasa Gmbh. All Rights Reserved.